//     Copyright 2011 Reuben D'Netto
//
//     This file is part of SMWebUI.
// 
//     SMWebUI is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
// 
//     SMWebUI is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
// 
//     You should have received a copy of the GNU General Public License
//     along with SMWebUI.  If not, see <http://www.gnu.org/licenses/>.
// 


function ShowOpenFile_lnk_onclick(){
	if(ShowOpenFile_lnk.className == "disabled") return;
	setShowOpenFile(! showOpenFile);
}
function ShowClipInfo_lnk_onclick(){
	if(ShowClipInfo_lnk.className == "disabled") return;
	setShowClipInfo(! showClipInfo);
}
function ShowPlaylist_lnk_onclick(){
	if(ShowPlaylist_lnk.className == "disabled") return;
	setShowPlaylist(! showPlaylist);
}
function Repeat_lnk_onclick(){
	if(Repeat_lnk.className == "disabled") return;
	setRepeatEnabled(! repeatEnabled);
}
function Shuffle_lnk_onclick(){
	if(Shuffle_lnk.className == "disabled") return;
	setShuffleEnabled(! shuffleEnabled);
}


function Previous_lnk_onclick(){
	if(Previous_lnk.className == "disabled") return;
	sendAction('play_prev'); 
	UpdateStatus(false);
}
function Next_lnk_onclick(){
	if(Next_lnk.className == "disabled") return;
	sendAction('play_next'); 
	UpdateStatus(false);
}
function Play_lnk_onclick(){
	if(Play_lnk.className == "disabled") return;
	sendAction('play'); 
	UpdateStatus(false);
}
function Pause_lnk_onclick(){
	if(Pause_lnk.className == "disabled") return;
	sendAction('pause'); 
	UpdateStatus(false);
}
function Stop_lnk_onclick(){
	if(Stop_lnk.className == "disabled") return;
	sendAction('stop'); 
	UpdateStatus(false);
}
function Rewind_lnk_onclick(){
	if(Rewind_lnk.className == "disabled") return;
	sendAction('rewind2'); 
	UpdateStatus(false);
}
function Forward_lnk_onclick(){
	if(Forward_lnk.className == "disabled") return;
	sendAction('forward2'); 
	UpdateStatus(false);
}
function Mute_lnk_onclick(){
	if(Mute_lnk.className == "disabled") return;
	setIsMute(! isMute);
}
function Clear_lnk_onclick(){
	if(Clear_lnk.className == "disabled") return;
	sendCommand("remove=all");
	UpdatePlaylist();
}

function Position_Slider_onmouseup(value){
	if(Rewind_lnk.className == "disabled") return;
	sendCommand("seek=" + value);
}
function Volume_Slider_onmouseup(value){
	if(Mute_lnk.className == "disabled") return;
	sendCommand("volume=" + value);
}

